//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *Close1;
	TMenuItem *New1;
	TMenuItem *N1;
	TOpenDialog *OpenDialog1;
	TSaveDialog *SaveDialog1;
	TMenuItem *Load1;
	TMenuItem *SaveFX1;
	TOpenDialog *OpenDialog2;
	TMenuItem *Importfromwav1;
	TTimer *Timer1;
	TMenuItem *Import1;
	TMenuItem *PSG1;
	TMenuItem *LoadFXbank1;
	TMenuItem *SaveFXbank1;
	TMenuItem *N2;
	TMenuItem *Edit1;
	TMenuItem *Selectall1;
	TMenuItem *Inverseselection1;
	TMenuItem *Unselectall1;
	TMenuItem *Deleteselection1;
	TMenuItem *N4;
	TMenuItem *View1;
	TMenuItem *Linperiod1;
	TMenuItem *Logperiod1;
	TMenuItem *Cut1;
	TMenuItem *Copy1;
	TMenuItem *Paste1;
	TMenuItem *Newbank1;
	TMenuItem *VortexVTX1;
	TPanel *Panel1;
	TSpeedButton *SpeedButton1;
	TSpeedButton *SpeedButton2;
	TSpeedButton *SpeedButton3;
	TSpeedButton *SpeedButton7;
	TEdit *Edit3;
	TEdit *Edit4;
	TSpeedButton *SpeedButton5;
	TSpeedButton *SpeedButton6;
	TSpeedButton *SpeedButton4;
	TEdit *Edit2;
	TMenuItem *Multiloadtobank1;
	TOpenDialog *OpenDialog3;
	TSaveDialog *SaveDialog2;
	TOpenDialog *OpenDialog4;
	TMenuItem *Bank1;
	TMenuItem *Inserteffect1;
	TMenuItem *Deleteeffect1;
	TMenuItem *Savebankwonames1;
	TSpeedButton *SpeedButton8;
	TSpeedButton *SpeedButton9;
	TMenuItem *Addeffecttoend1;
	void __fastcall Close1Click(TObject *Sender);
	void __fastcall FormPaint(TObject *Sender);
	void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall New1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall SpeedButton1Click(TObject *Sender);
	void __fastcall SpeedButton2Click(TObject *Sender);
	void __fastcall Load1Click(TObject *Sender);
	void __fastcall SaveFX1Click(TObject *Sender);
	void __fastcall FormMouseWheelDown(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
	void __fastcall FormMouseWheelUp(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
	void __fastcall FormResize(TObject *Sender);
	void __fastcall FormCanResize(TObject *Sender, int &NewWidth,
          int &NewHeight, bool &Resize);
	void __fastcall SpeedButton4Click(TObject *Sender);
	void __fastcall SpeedButton5Click(TObject *Sender);
	void __fastcall SpeedButton6Click(TObject *Sender);
	void __fastcall Importfromwav1Click(TObject *Sender);
	void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall PSG1Click(TObject *Sender);
	void __fastcall Unselectall1Click(TObject *Sender);
	void __fastcall Selectall1Click(TObject *Sender);
	void __fastcall Inverseselection1Click(TObject *Sender);
	void __fastcall Deleteselection1Click(TObject *Sender);
	void __fastcall Linperiod1Click(TObject *Sender);
	void __fastcall Logperiod1Click(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall FormDeactivate(TObject *Sender);
	void __fastcall Copy1Click(TObject *Sender);
	void __fastcall Cut1Click(TObject *Sender);
	void __fastcall Paste1Click(TObject *Sender);
	void __fastcall VortexVTX1Click(TObject *Sender);
	void __fastcall Newbank1Click(TObject *Sender);
	void __fastcall SpeedButton3Click(TObject *Sender);
	void __fastcall SpeedButton7Click(TObject *Sender);
	void __fastcall Multiloadtobank1Click(TObject *Sender);
	void __fastcall SaveFXbank1Click(TObject *Sender);
	void __fastcall LoadFXbank1Click(TObject *Sender);
	void __fastcall Savebankwonames1Click(TObject *Sender);
	void __fastcall Edit4KeyPress(TObject *Sender, char &Key);
	void __fastcall Edit4Click(TObject *Sender);
	void __fastcall Edit4Change(TObject *Sender);
	void __fastcall Addeffecttoend1Click(TObject *Sender);
	void __fastcall SpeedButton8Click(TObject *Sender);
	void __fastcall SpeedButton9Click(TObject *Sender);
	void __fastcall Deleteeffect1Click(TObject *Sender);
	void __fastcall Inserteffect1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
	__fastcall void DrawEdit(bool);
	__fastcall void TitleUpdate(void);
        __fastcall void IntFreqUpdate(void);
        __fastcall void HoldCheck(int,int);
        __fastcall void BankUpdateCount(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 